<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('doc_type_master', function (Blueprint $table) {
            $table->id('DocTy_ID');
            $table->string('DocTy_Code', 20)->unique();
            $table->string('DocTy_Name', 100);
            $table->boolean('Is_KYC')->default(0);
            $table->timestamps();
            $table->softDeletes(); // deleted_at
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('doc_type_master');
    }
};
